Redmine - Patch #8905

Support identify project by email address
2011-07-26 18:02 - dow in

Status: Closed Start date: 2011-07-26
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version:

Description
Ident project by E-mail ADDRESS EXTENSION.

Problem

If you have many projects AND receives email by redmine , you would make too many cron-jobs OR would require the mail body for
writing project-id.

Solution
Identify project by E-mail address.

1. Send issue by mail to "email+project-id At test.com"”.
2. Make new issue to project-id by receiving "email At test.com".

Patch (github)

https://github.com/indication/redmine/commit/8333599dc264c1c5735be161af4a0e0b9f3a543a

Todo? (if followings are necessary)

e | ongest match (ex:find by last items following when put "email+project-id At test.com")
o project-id
o email+project-id
o id
o email+project-id
e Security
o Dis-allow identify project by e-mail

References

e Email address with . / Extended Email address (google)
e man page of postfix virtual.5 see ADDRESS EXTENSION

Related issues:
Is duplicate of Redmine - Patch #20732: MailHandler: Select project by subadd... Closed

History

#1 - 2011-07-26 22:30 - Terence Mill

That will need an dedicated email server only for redmine tickets handling, doesn't it?

#2 - 2011-07-27 02:40 - dow in
| gave a misleading that is sorry.
You can use existing mail server/mail account (eg. gmail).

In the source comment, | put a hint for making alias.

In the case that setup following:

Alias from "redmine-support At test.com"” to "redmine+project-identifier At test.com".
| assumed about header:

Return-Path: <sender At test.spamcom>
https://github.com/indication/redmine/commit/8333599dc264c1c5735be161af4a0e0b9f3a543a
http://www.google.com/support/forum/p/gmail/thread?tid=313d43061c7fd132&hl=en
http://www.postfix.org/virtual.5.html

X-Original-To: redminet+project-identifier At test.com
Delivered-To: redmine+project-identifier At test.com
To: redmine-support At test.com

But, real is:

Return-Path: <sender At test.com>

X-Original-To: redmine-support At test.com
Delivered-To: redmine-support At test.com

To: redmine-support At test.com

This patch watches the "Delivered-To" header.

When make alias to ADDRESS EXTENTION, it would not work.

To avoid this sutiation, you may solve that way(the source comment).
Note: more details

#3 - 2016-12-25 18:34 - Go MAEDA

- Is duplicate of Patch #20732: MailHandler: Select project by subaddress (redmine+project@example.com) added

#4 - 2016-12-25 18:35 - Go MAEDA

- Status changed from New to Closed

We can select project by subaddress in Redmine 3.2.0 and later (#20732).
http://d.hatena.ne.jp/indication/20110719/1311077571
https://www.redmine.org/issues/20732
http://www.tcpdf.org

